.. _developer_guide:

Developer Guide
==================

.. automodule:: server.expose
    :members:

.. autoclass:: server.connection_manager.ConnectionManager

.. autoclass:: server.user_app.UserApplication


.. todo::

    describe the interface of the server, for the GUI and for the adc

    describe what is required to be set in the server

    describe how to add a new application, what is done by RPC, which information the user has to poll for

    describe as much as you can how to add a new type of device, you can write that when more deivces will be there it will be worth creatin a virtual class




